package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.BmsshipDetailsStatementMapper;
import com.steerinfo.dil.model.BmsshipDetailsStatement;
import com.steerinfo.dil.service.IBmsshipDetailsStatementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/9 8:46
 * @Version:V2.0
 */
@Service
public class BmsshipDetailsStatementServiceImpl implements IBmsshipDetailsStatementService {

    @Autowired
    BmsshipDetailsStatementMapper bmsshipDetailsStatementMapper;

    /**
     * 批次插入账单详单关系
     * @param bmsshipDetailsStatement
     * @return
     */
    @Override
    public int insertSelective(BmsshipDetailsStatement bmsshipDetailsStatement) {
        return bmsshipDetailsStatementMapper.insertSelective(bmsshipDetailsStatement);
    }

    /**
     * 得到最大id
     * @return
     */
    @Override
    public BigDecimal selectMaxId() {
        BigDecimal id = bmsshipDetailsStatementMapper.selectMaxId();
        return id == null ? new BigDecimal(1): new BigDecimal(id.intValue() + 1);
    }
}
